# BatchSearchParticipants

Handles batch search requests by uploading a file containing search parameters.

`POST /trading-partners/batch-searches`

**API:** Avalara E-Invoicing API
**Tag:** Trading Partners
**API Version:** 1.4
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.4/methods/Trading%20Partners/BatchSearchParticipants/

## Description

This endpoint creates a batch search and performs a batch search in the directory for participants in the background.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | The HTTP Header meant to specify the version of the API intended to be used. |
| `X-Avalara-Client` | string | header | No | You can freely use any text you wish for this value. This feature can help you diagnose and solve problems with your software. The header can be treated like a "Fingerprint". |
| `name` | string | query | Yes | A human-readable name for the batch search. |
| `notificationEmail` | string | query | Yes | The email address to which a notification will be sent once the batch search is complete. |
| `X-Correlation-ID` | string | header | No | The caller can use this as an identifier to use as a correlation id to trace the call. |

## Request Body

**Content-Type:** `multipart/form-data`

## Responses

| Status | Description | Schema |
|---|---|---|
| 202 | Batch search file accepted for processing the search. |  |
| 400 | Invalid request | `ErrorResponse` |
| 401 | Unauthorized | `ErrorResponse` |
| 403 | Forbidden | `ErrorResponse` |
| 500 | Internal server error | `ErrorResponse` |

## Example Request

```bash
curl -X POST "https://api.sbx.avalara.com/einvoicing/trading-partners/batch-searches" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "file": "example_file"
}'
```